#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kaccounts-providers
Summary:	KAccounts Providers
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	8439113dce4ca5b51be184d04317ad8a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	ka5-kaccounts-integration-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	libaccounts-glib-devel
BuildRequires:	libaccounts-qt5-devel
BuildRequires:	libsignon-qt5-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Accounts Providers.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/signon-ui
%dir %{_sysconfdir}/signon-ui/webkit-options.d
%{_sysconfdir}/signon-ui/webkit-options.d/accounts.google.com.conf
%{_sysconfdir}/signon-ui/webkit-options.d/api.twitter.com.conf
%{_sysconfdir}/signon-ui/webkit-options.d/identi.ca.conf
%{_sysconfdir}/signon-ui/webkit-options.d/www.facebook.com.conf
%dir %{_libdir}/qt5/plugins/kaccounts
%dir %{_libdir}/qt5/plugins/kaccounts/ui
%attr(755,root,root) %{_libdir}/qt5/plugins/kaccounts/ui/owncloud_plugin_kaccounts.so
%{_datadir}/accounts
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.owncloud
%{_datadir}/metainfo/org.kde.kaccounts.owncloud.appdata.xml
%{_iconsdir}/hicolor/256x256/apps/kaccounts-owncloud.png

%ifarch i686  %{x8664}
%attr(755,root,root) %{_libdir}/qt5/plugins/kaccounts/ui/nextcloud_plugin_kaccounts.so
%{_iconsdir}/hicolor/scalable/apps/kaccounts-nextcloud.svg
%dir %{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud
%dir %{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents
%dir %{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/Server.qml
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/Services.qml
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/WebLogin.qml
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/main.qml
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/metadata.desktop
%{_datadir}/kpackage/genericqml/org.kde.kaccounts.nextcloud/metadata.json
%{_datadir}/metainfo/org.kde.kaccounts.nextcloud.appdata.xml
%endif
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kaccounts-providers.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c5ad736
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 700bcca
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 857040c
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 42f151a
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c0d8060
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 06ccce0
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ac4919b
- updated to 22.04.3

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f71f573
- nextcloud not for x32

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cba3ff2
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> abc00f3
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 38d7aa2
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e5c6433
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ba917a1
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e026891
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5a514e5
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ddceac4
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 36bbc23
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4162395
- updated to 21.08.2

* Fri Sep 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d24a197
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a6820ed
- updated to 21.08.0

